Guard Norton:
You will find the Valley of Dragons south of the village. To reach the entrance of the valley you must go by Hardin's Academy and go west.
The Valley of Dragons got its name from the legend that dragons come to the valley to die. But there is one dragon whom death does not threaten. He is the most feared green dragon Antaras. He has no fear although surrounded by the graves of his brethren.
Many adventurers have attempted to slay this dragon, and all have perished.
Return